import { EventEmitter } from '../../stencil-public-runtime';
import { Notifications } from '../../types/nuts-inbox-widget.types';
export declare class NutsInboxWidget {
  /**
 * HTTP Endpoint URL for NuTS
 */
  backendUrl: string;
  /**
   * Socket Endpoint URL for NuTS
   */
  socketUrl: string;
  /**
   * The ID of the user
   */
  userId: string;
  /**
   * The sessionID of the user
   */
  sessionId: string;
  /**
   * The operatorID on which we can find the user
   */
  operatorId: string;
  /**
   * The deviceID from which the user access the website
   */
  deviceId?: string;
  /**
   * Language of the widget
   */
  language: string;
  /**
   * Environment on which the widget is used (possible values: `stage`, `prod`)
   */
  environment: string;
  /**
   * Novu application identifier
   */
  applicationIdentifier: string;
  /**
   * Client custom styling via inline styles
   */
  clientStyling: string;
  /**
   * Client styling url for a css file
   */
  clientStylingUrl: string;
  private stylingContainer;
  private isLoading;
  private popoverVisible;
  private unseenCount;
  private ntsEndpoint;
  private socketRef;
  private token;
  notificationFeed: EventEmitter<Notifications[]>;
  newNotification: EventEmitter<any>;
  paramChangeHandler(newValue: string, oldValue: string): void;
  initializeHandler(newValue: string, oldValue: string): void;
  clickOutsideHandle(): void;
  callSS(): void;
  setupSocket(): void;
  getUnseenCounter(): void;
  initializeSession(): Promise<void>;
  togglePopover(): void;
  setClientStyling: () => void;
  setClientStylingURL: () => void;
  connectedCallback(): Promise<void>;
  renderBellIcon(): HTMLElement;
  render(): any;
}
